I've downloaded the DeepL plugin for Trados19. When I double-click on it, nothing happens. How to install it ?

I've downloaded the DeepL plugin for Trados19. When I double-click on it, nothing happens. How to install it ?